Subject: [irtf-discuss] FW: Complexity BoF at IRTF: Fri morning in Quebec

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Thu, 28 Jul 2011 17:07:22 +0200

!!!Room change!!!

The Network Complexity side meeting will take place in 

    room 303AB
    tomorrow, Friday, 9am-noon

See you there!
Michael

> -----Original Message-----
> From: Michael Behringer (mbehring)
> Sent: 19 July 2011 05:26
> To: [email-masked]'
> Subject: Complexity BoF at IRTF: Fri morning in Quebec
> 
> As mentioned in a previous mail, we'll have a BOF meeting in Quebec
> (IETF) next week with the goal to create an IRTF research group on
> network complexity.
> 
> The BoF is scheduled for Friday July 29th, 0900-1130, room 301A. It
> will be hosted by Geoff Huston and myself.
> 
> We have a draft agenda, where we go through previous work (mostly
> documented on the http://networkcomplexity.org), plus a lot of time
for
> charter discussions. If you have a contribution to the agenda, please
> let me know! Draft agenda and charter are copied below.
> 
> Michael
> 
> 
> ---------------------------------------------------------
> Draft Agenda:
> - Overview, agenda bashing (10 min)
> - Classifying Network Complexity (Michael Behringer) (20 min)
> - End to End Complexity (Geoff Huston) (20 min)
> - Comparative Complexity Analysis (Michael Behringer) (10 min)
> - Catastrophic Failure Use Case (Michael Behringer) (10 min)
> - RG Charter discussion (80 min)
> 
> ---------------------------------------------------------
> Draft Charter:
> Network Complexity Research Group (COMPLEXITY)
> 
> Charter
> The Network Complexity Research Group aims at defining and analyzing
> the complexity of IP based networks.
> 
> There is a general perception that unnecessary complexity should be
> avoided, and when deciding between two approaches in networking,
> complexity is usual an important factor. However, the term
"complexity"
> is rarely well defined, and decisions on complexity are mostly made on
> subjective terms.
> 
> The Network Complexity Research Group provides objective definitions,
> metrics and background research to help making decisions where
> complexity is a factor. The ultimate goal is to provide factual and
> objective information and metrics to be used in network design and
> protocol design. It is highly desirable to have practical and
objective
> information on network complexity as an input into the IETF process.
> 
> Areas of interest include:
> 1) Research with the goal of defining "network complexity", and
> defining relevant metrics.
> 2) Comparative research between various network architectures,
> protocols or approaches.
> 3) Methods and ideas to contain, control, or reduce complexity in IP
> based networks.
> 4) Collect use cases regarding specific network designs or failure
> cases where complexity played a role.
> 
> The group will report progress through a publicly accessible web site
> and presentations at IETF meetings. Relevant information and research
> developed by the NMRG will be submitted for publication as
Experimental
> or Informational RFCs.
> 
> Membership
> Membership is open.
> 
> Meetings
> Complexity meetings are held usually in conjunction with the IETF.